import { ContractTransaction } from 'ethers';
import { IOwnershipCommitmentProofWithTx } from '@energyweb/origin-backend-core';
import { Certificate } from '../blockchain-facade/Certificate';
export declare class MockCertificate extends Certificate {
    migrateToPublic(): Promise<ContractTransaction>;
    approvePrivateTransfer(newCommitmentProof: IOwnershipCommitmentProofWithTx): Promise<ContractTransaction>;
}
